summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-10-11 22:44:35 +0200
committer Eric Hameleers <alien@slackware.com>2017-10-11 22:44:35 +0200
commitf5bb8af82f3f74cc8f621a9d6860a9370b4e02ec (patch)
tree1fe7c051d5d453ee565ad15c004cdb9fc70ddbab
parent7de257074afae7f6347851977472b11c34706b39 (diff)
downloadliveslak-f5bb8af82f3f74cc8f621a9d6860a9370b4e02ec.tar.gz
liveslak-f5bb8af82f3f74cc8f621a9d6860a9370b4e02ec.tar.xz
iso2usb.sh: fix syntax for '^64bit' option to tune2fs command
-rw-r--r--iso2usb.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/iso2usb.sh b/iso2usb.sh
index 8f82708..efcaad5 100644
--- a/iso2usb.sh
+++ b/iso2usb.sh
@@ -634,10 +634,10 @@ if [ $REFRESH -eq 0 ]; then
# otherwise, the syslinux bootloader (>= 6.03) will fail.
# Note: older 32bit OS-es will trip over the '^64bit' feature so be gentle.
mkfs.ext4 -F -F -L "${LIVELABEL}" ${TARGET}3
- if ! tune2fs -O '^64bit' ${TARGET}3 1>/dev/null 2>/dev/null ; then
+ if ! tune2fs -O ^64bit ${TARGET}3 1>/dev/null 2>/dev/null ; then
FEAT_64BIT=""
else
- FEAT_64BIT="-O '^64bit'"
+ FEAT_64BIT="-O ^64bit"
fi
tune2fs -c 0 -i 0 -m 0 ${FEAT_64BIT} ${TARGET}3